---
updatedAt: 2025-09-23T06:29:53.000Z
agentTools:
  projectIndex: https://developer.maximizer.com/llms.txt
---

# System

**Get current session info**

Use the `GetSessionInfo` method to retrieve information about the current user and Address Book database based on the token supplied in the request.

```json js
// POST https://api.maximizer.com/octopus/GetSessionInfo
// Authorization: Bearer <token>
{
    "AddressBook": {
        "Udbid": 1,
        "Database": 1,
        "DisplayValue": 1,
        "WorkspaceId": 1
    },
    "User": {
        "Key": {
            "Value": 1,
            "Uid": 1
        },
        "DisplayName": 1
    }
}
```

**Get system info**

Use the `GetSystemInfo` method to get information about the system, including the current API version and the versions of API components.

```json js
// POST https://api.maximizer.com/octopus/GetSystemInfo
// Authorization: Bearer <token>

```

**Configuration**

Use the `GetSystemInfo` method to get information about the system, including the current API version and the versions of API components.

NOTE: The `GetSystemInfo` method is un-authenticated, so you don't need to supply a token when calling it.

```json js
// POST https://api.maximizer.com/octopus/ConfigurationRead
// Authorization: Bearer <token>
{
    "Configuration": {
        "AuditLog": {
            "AbEntry": 1
        },
        "SystemOption": {
            "FiscalYearStartMonth": 1,
            "MultiCurrencyEnabled": 1,
            "CorporateCurrency": 1
        }
    }
}
```

**Get object versions**

Use the `GetSystemInfo` method to get information about the system, including the current API version and the versions of API components.

NOTE: The `GetSystemInfo` method is un-authenticated, so you don't need to supply a token when calling it.

```json js
// POST https://api.maximizer.com/octopus/GetVersionInfo
// Authorization: Bearer <token>
{
    "Current": {
        "DisplayValue": 1,
        "Major": 1,
        "Minor": 1,
        "Beta": 1
    },
    "Supported": [
        {
            "DisplayValue": 1
        }
    ]
}
```